<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from sudoku_candidates.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="sudoku_candidates" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>sudoku_candidates</refname><refpurpose>Returns candidates for a sudoku X.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [C,L] = sudoku_candidates(X)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X:</term>
      <listitem><para> a 9-by-9 matrix of doubles, with 0 for unknown entries.</para></listitem></varlistentry>
   <varlistentry><term>C:</term>
      <listitem><para> a 9-by-9-by-9 hypermatrix of booleans, the candidates for each cell.</para></listitem></varlistentry>
   <varlistentry><term>L:</term>
      <listitem><para> the number of candidates for each cell</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns candidates for a sudoku X.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
X = [
0 0 0   0 0 0   0 0 0
0 0 0   0 0 0   5 3 0
9 0 0   0 3 7   0 0 0
0 0 2   3 0 1   0 9 6
0 4 7   6 9 0   1 8 0
0 0 6   7 8 5   0 0 0
0 5 0   0 2 0   9 0 3
0 3 0   9 0 0   6 0 8
8 0 0   0 1 0   4 7 0
]
[C,L] = sudoku_candidates(X)

X = [
0 0 0   0 0 0   0 0 0
9 0 0   0 0 4   0 3 6
0 0 0   0 7 2   0 0 9
3 0 0   0 0 0   0 0 5
0 1 4   0 0 0   8 0 0
0 2 5   0 1 0   0 0 0
0 0 6   1 0 0   0 0 3
0 0 0   0 0 6   0 4 0
0 0 2   4 8 9   0 0 0
]
[C,L] = sudoku_candidates(X)

X = [
1    2    0    0    3    0    0    4    0
6    0    0    0    0    0    0    0    3
3    0    4    0    0    0    5    0    0
2    0    0    8    0    6    0    0    0
8    0    0    0    1    0    0    0    6
0    0    0    7    0    5    0    0    0
0    0    7    0    0    0    6    0    0
4    0    0    0    0    0    0    0    8
0    3    0    0    4    0    0    2    0
]
[C,L] = sudoku_candidates(X)

X = [
0 2 0   0 3 0   0 4 0
6 0 0   0 0 0   0 0 3
0 0 4   0 0 0   5 0 0
0 0 0   8 0 6   0 0 0
8 0 0   0 1 0   0 0 6
0 0 0   7 0 5   0 0 0
0 0 7   0 0 0   6 0 0
4 0 0   0 0 0   0 0 8
0 3 0   0 4 0   0 2 0
]
[C,L] = sudoku_candidates(X)


   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Cleve Moler, 2009</member>
   <member>Michael Baudin, Scilab port and comments, 2010-2011</member>
   </simplelist>
</refsection>
</refentry>
